Index: c/src/lib/libcpu/mips/ChangeLog
===================================================================
--- c/src/lib/libcpu/mips/ChangeLog	(revision 2546d299cff27a66cce71ac7098bb5ef513a3072)
+++ c/src/lib/libcpu/mips/ChangeLog	(revision 83a0a8a26a3474b46159b2fd8bc5fd6b17e9e8f3)
@@ -1,2 +1,7 @@
+2005-01-07	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* mongoosev/Makefile.am, r46xx/Makefile.am, shared/Makefile.am,
+	tx39/Makefile.am: Eliminate CFLAGS_OPTIMIZE_V.
+
 2005-01-04	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libcpu/mips/mongoosev/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/mongoosev/Makefile.am	(revision 2546d299cff27a66cce71ac7098bb5ef513a3072)
+++ c/src/lib/libcpu/mips/mongoosev/Makefile.am	(revision 83a0a8a26a3474b46159b2fd8bc5fd6b17e9e8f3)
@@ -20,5 +20,5 @@
 noinst_PROGRAMS += duart.rel
 duart_rel_SOURCES = duart/mg5uart.c duart/mg5uart.h duart/mg5uart_reg.c
-duart_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+duart_rel_CPPFLAGS = $(AM_CPPFLAGS)
 duart_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
@@ -27,5 +27,5 @@
 noinst_PROGRAMS += vectorisrs.rel
 vectorisrs_rel_SOURCES = vectorisrs/maxvectors.c vectorisrs/vectorisrs.c
-vectorisrs_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+vectorisrs_rel_CPPFLAGS = $(AM_CPPFLAGS)
 vectorisrs_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 endif
Index: c/src/lib/libcpu/mips/r46xx/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/r46xx/Makefile.am	(revision 2546d299cff27a66cce71ac7098bb5ef513a3072)
+++ c/src/lib/libcpu/mips/r46xx/Makefile.am	(revision 83a0a8a26a3474b46159b2fd8bc5fd6b17e9e8f3)
@@ -10,5 +10,5 @@
 noinst_PROGRAMS += vectorisrs.rel
 vectorisrs_rel_SOURCES = vectorisrs/maxvectors.c vectorisrs/vectorisrs.c
-vectorisrs_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+vectorisrs_rel_CPPFLAGS = $(AM_CPPFLAGS)
 vectorisrs_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 endif
@@ -17,5 +17,5 @@
 noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = ../timer/timer.c ../timer/gettime.S
-timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+timer_rel_CPPFLAGS = $(AM_CPPFLAGS)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 endif
@@ -24,5 +24,5 @@
 noinst_PROGRAMS += clock.rel
 clock_rel_SOURCES = ../clock/ckinit.c ../clock/clock.S ../clock/clock.h
-clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+clock_rel_CPPFLAGS = $(AM_CPPFLAGS)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 endif
Index: c/src/lib/libcpu/mips/shared/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/shared/Makefile.am	(revision 2546d299cff27a66cce71ac7098bb5ef513a3072)
+++ c/src/lib/libcpu/mips/shared/Makefile.am	(revision 83a0a8a26a3474b46159b2fd8bc5fd6b17e9e8f3)
@@ -15,5 +15,5 @@
 cache_rel_SOURCES = cache/cache.c ../../shared/src/cache_aligned_malloc.c \
     ../../shared/src/cache_manager.c cache/cache_.h
-cache_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V) -I$(srcdir)/cache
+cache_rel_CPPFLAGS = $(AM_CPPFLAGS) -I$(srcdir)/cache
 cache_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
@@ -31,5 +31,5 @@
 interrupts_rel_SOURCES = interrupts/installisrentries.c \
     interrupts/vectorexceptions.c interrupts/isr_entries.S
-interrupts_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V) \
+interrupts_rel_CPPFLAGS = $(AM_CPPFLAGS) \
     $(interrupts_CPPFLAGS)
 interrupts_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
Index: c/src/lib/libcpu/mips/tx39/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/tx39/Makefile.am	(revision 2546d299cff27a66cce71ac7098bb5ef513a3072)
+++ c/src/lib/libcpu/mips/tx39/Makefile.am	(revision 83a0a8a26a3474b46159b2fd8bc5fd6b17e9e8f3)
@@ -13,5 +13,5 @@
 noinst_PROGRAMS += vectorisrs.rel
 vectorisrs_rel_SOURCES = vectorisrs/maxvectors.c vectorisrs/vectorisrs.c
-vectorisrs_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+vectorisrs_rel_CPPFLAGS = $(AM_CPPFLAGS)
 vectorisrs_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 endif
